story1/urls.py
from django.urls import path

from . import views

app_name = 'story1'

urlpatterns = [
    path('', views.index, name='index'),
]

story3/urls.py
from django.urls import path

from . import views

app_name = 'story3'

urlpatterns = [
    path('', views.index, name='index'),
    path('extras/', views.extras, name='extras')
]

story5/urls.py
from django.urls import path
from . import views
from .views import MatkulView, MatkulDetailView, DeleteMatkulView

app_name = 'story5'

urlpatterns = [
    path('', views.index, name='index'),
    path('listmatkul/', MatkulView.as_view(), name='list-matkul'),
    path('matkul/<int:pk>/', MatkulDetailView.as_view(), name='matkul-details'),
    path('matkul/<int:pk>/delete', DeleteMatkulView.as_view(), name='delete-matkul'),
]

story6/urls.py
from django.urls import path
from . import views

app_name = 'story6'

urlpatterns = [
    path('', views.index, name='index'),
    path('add_event/', views.add_event, name='add_event'),
    path('register/<int:pk>/', views.register, name='register'),
]

story7/urls.py
from django.urls import path
from . import views

app_name = 'story7'

urlpatterns = [
    path('', views.index, name='index'),
]

story8/urls.py
from django.urls import path
from . import views

app_name = 'story8'

urlpatterns = [
    path('', views.index, name='index'),
    path('data/', views.data_request, name='data_request'),
]

storyppw/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('story3.urls')),
    path('story3/', include('story3.urls')),
    path('story1/', include('story1.urls')),
    path('story5/', include('story5.urls')),
    path('story6/', include('story6.urls')),
    path('story7/', include('story7.urls')),
    path('story8/', include('story8.urls')),
    path('story9/', include('story9.urls'))
]

story3/models.py
from django.db import models

# Create your models here.

story3/views.py
from django.contrib.auth.decorators import login_required
from django.shortcuts import render

# Create your views here.
def index(request):
    return render(request, 'story3/index.html')

@login_required
def extras(request):
    return render(request, 'story3/extras.html')

story3/templates/story3/extras.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<link rel='stylesheet' href='{% static "story3/css/style.css"%}'>
{% endblock meta %}

{% block navbarmenus %}
<li class="nav-item">
    <a class="nav-link" href="{% url 'story3:index' %}">Home</a>
</li>
{% if user.is_authenticated %}
<li class="nav-item">
    <a class="nav-link" href="{% url 'story9:logout' %}">Logout</a>
</li>
{% endif %}
{% endblock navbarmenus %}

{% block content %}
<div class="main">
    <div class="section extras">
        <h1 class="section-title-h1"> Uji Coba MRT Jakarta</h1>
        <div class="extras-row">
            <img class="extras-images" src="{% static 'story3/img/1.JPG' %}">
            <img class="extras-images" src="{% static 'story3/img/2.JPG' %}">
            <img class="extras-images" src="{% static 'story3/img/3.jpg' %}">
            <img class="extras-images" src="{% static 'story3/img/4.jpg' %}">
            <img class="extras-images" src="{% static 'story3/img/5.jpg' %}">
            <img class="extras-images" src="{% static 'story3/img/6.jpg' %}">
            <img class="extras-images" src="{% static 'story3/img/7.jpg' %}">
            <img class="extras-images" src="{% static 'story3/img/8.jpg' %}">
            <img class="extras-images" src="{% static 'story3/img/9.jpg' %}">
            <img class="extras-images" src="{% static 'story3/img/10.jpg' %}">
            <img class="extras-images" src="{% static 'story3/img/11.jpg' %}">
            <img class="extras-images" src="{% static 'story3/img/12.jpg' %}">
            <img class="extras-images" src="{% static 'story3/img/13.jpg' %}">
            <img class="extras-images" src="{% static 'story3/img/14.jpg' %}">
            <img class="extras-images" src="{% static 'story3/img/15.jpg' %}">
            <img class="extras-images" src="{% static 'story3/img/16.jpg' %}">
            <img class="extras-images" src="{% static 'story3/img/17.jpg' %}">
        </div>
    </div>
</div>
{% endblock content %}

story3/templates/story3/index.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<link rel='stylesheet' href="{% static 'story3/css/style.css' %}">
{% endblock meta %}

{% block navbarmenus %}
<li class="nav-item">
    <a class="nav-link" href="/">Home</a>
</li>
{% if user.is_authenticated %}
<li class="nav-item dropdown">
    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Extras
    </a>
    
    <div class="dropdown-menu" aria-labelledby="navbarDropdown">
      <a class="dropdown-item" href="{% url 'story3:extras' %}">Real Extras</a>
      <div class="dropdown-divider"></div>
      <a class="dropdown-item" href="{% url 'story1:index' %}">Story 1</a>
      <a class="dropdown-item" href="{% url 'story5:index' %}">Story 5</a>
      <a class="dropdown-item" href="{% url 'story6:index' %}">Story 6</a>
      <a class="dropdown-item" href="{% url 'story7:index' %}">Story 7</a>
      <a class="dropdown-item" href="{% url 'story8:index' %}">Story 8</a>
    </div>
  </li>
{% endif %}
<li class="nav-item">
    <a class="nav-link" href="#about-me">About</a>
</li>
<li class="nav-item">
    <a class="nav-link" href="#education">Education</a>
</li>
<li class="nav-item">
    <a class="nav-link" href="#projects">Projects</a>
</li>
<li class="nav-item">
    <a class="nav-link" href="#interests">Interests</a>
</li>
<li class="nav-item">
    <a class="nav-link" href="#contact-me">Contact</a>
</li>
{% if user.is_authenticated %}
<li class="nav-item">
    <a class="nav-link" href="{% url 'story9:logout' %}">Logout</a>
</li>
{% endif %}
{% endblock navbarmenus %}

{% block content %}
<div id="main" class="main">
    <div id="home" class="section home">
        <h1 class="home">Welcome</h1>
        {% if user.is_authenticated %}
            <a href="#about-me" class="home">About Me</a>
            <p>Welcome, {{user.username}}</p>
        {% else %}
            <a href="{% url 'story9:login' %}" class="home">Login</a>
            <p>Login to see more content!</p>
        {% endif %}
        
    </div>
    <div id="about-me" class="section about-me">
        <div class="aboutme-row-outer">
            <img class="profilepic" src="{% static 'story3/img/profilepicture.jpg' %}">
            <div class="aboutme-column-inner">
                <p style="font-size: 1.5rem;">Hello, I'm</p>
                <p id="name-text">Yosua Immanuel Hutagalung</h1>
                <div class="underline name"></div>
                <p>Currently an undergraduate student. I picked Computer Science as my major. I’m looking forward to get new skills and experiences while studying and building a wider connection.</p>
            </div>
        </div>
    </div>
    <div id="education" class="section education">
        <h1 class="section-title-h1">Education</h1>
        <div class="underline education"></div>
        <div class="education-row-outer">
            <div class="education-column-inner">
                <img id="ui-img" src="{% static 'story3/img/ui.jpg' %}">
                <div class="education-description">
                    <p id="university">University of Indonesia</p>
                    <p id="faculty">Faculty of <span id="comp">Computer</span> <span id="sc">Science</span></p>
                    <p id="year-active">2019-now</p>
                </div>
            </div>
        </div>
    </div>
    <div id="projects" class="section projects">
        <h1 class="section-title-h1">Projects</h1>
        <div class="underline projects"></div>
        <div class="projects-column-outer">
            <div class="projects-row-inner-left-align">
                <img class="project-img" src="{% static 'story3/img/budayakb.png' %}">
                <p class="project-name-left">BudayaKB Lite</p>
            </div>
            <div class="projects-row-inner-right-align">
                <p class="project-name-right">COVID-19 Simulator</p>
                <img class="project-img" src="{% static 'story3/img/covidsim.png' %}">
                <p class="project-name-right-hidden">COVID-19 Simulator</p>
            </div>
        </div>
    </div>
    <div id="interests" class="section interests">
        <h1 class="section-title-h1">Interests</h1>
        <div class="underline interests"></div>
        <div class="interests-row">
            <img class="interests-img" src="{% static 'story3/img/webprog.jpg' %}">
            <p class="interest-description">I have a lot of interest in web development. Nearly every sector in our lives needs the Internet and web development is one of the means to realizing digitalization.</p>
        </div>
        <div class="interests-row">
            <img class="interests-img" src="{% static 'story3/img/mrtj.jpg' %}">
            <p class="interest-description">Outside of computer science, I’m really interested in public transportation. Jakarta is overcrowded with private cars and motorbikes. The only solution to this is to introduce new ways of public transportation. I want to get involved in the development of public transportation in Jakarta and change public perspective about it.</p>
        </div>
        <div class="interests-row">
            <img class="interests-img" src="{% static 'story3/img/organ.jpg' %}">
            <p class="interest-description">I’m also interested in pipe organs. Pipe organ is a rare musical instrument in Indonesia. There are only five pipe organs in Jakarta and three of them have historical ties to the colonial era. They sound very majestic and grand. More people should experience their sounds themselves to appreciate their historical and musical values.</p>
        </div>
    </div>
    <div id="contact-me" class="section contact-me">
        <h1 id="contact-me-h1">Contact me!</h1>
        <p>You can contact me through these platforms.</p>
        <div class="social-media-buttons">
            <a href="https://www.facebook.com/yosua.hutagalung.7" target="_blank"><img id="fb" src="{% static 'story3/img/facebook.png' %}"></a>
            <a href="https://twitter.com/yosuahtgl" target="_blank"><img id="twt" src="{% static 'story3/img/twitter.png' %}"></a>
            <a href="https://www.instagram.com/yosuahutagalung_/" target="_blank"><img id="ig" src="{% static 'story3/img/instagram.png' %}"></a>
            <a href="https://www.linkedin.com/in/yosua-hutagalung-b99b1a152/" target="_blank"><img id="lin" src="{% static 'story3/img/linkedin.png' %}"></a>
        </div>
    </div>
</div>
{% endblock content %}